org.fife.ui.rsyntaxtextarea

## Class XmlOccurrenceMarker

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.XmlOccurrenceMarker

All Implemented Interfaces:
  OccurrenceMarker

    public class XmlOccurrenceMarker
    extends Object
    implements OccurrenceMarker

Marks occurrences of the current token for XML.

Version:
  1.0
Author:
  Robert Futrell

### Constructor Summary

Constructors
Constructor and Description
`XmlOccurrenceMarker()`

### Method Summary

Methods
`void` `markOccurrences(RSyntaxDocument doc, Token t, RSyntaxTextAreaHighlighter h, org.fife.ui.rsyntaxtextarea.MarkOccurrencesHighlightPainter p)` Called when occurrences of a token should be marked.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlOccurrenceMarker

    public XmlOccurrenceMarker()

### Method Detail

#### markOccurrences

    public void markOccurrences(RSyntaxDocument doc,
                       Token t,
                       RSyntaxTextAreaHighlighter h,
                       org.fife.ui.rsyntaxtextarea.MarkOccurrencesHighlightPainter p)

Called when occurrences of a token should be marked.

Specified by:
  `markOccurrences` in interface `OccurrenceMarker`
Parameters:
  `doc` - The document.
  `t` - The document whose relevant occurrences should be marked.
  `h` - The highlighter to add the highlights to.
  `p` - The painter for the highlights.